package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.WorkerSignMapper;
import com.ruoyi.system.domain.WorkerSign;
import com.ruoyi.system.service.IWorkerSignService;

/**
 * 师傅签到记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class WorkerSignServiceImpl implements IWorkerSignService 
{
    @Autowired
    private WorkerSignMapper workerSignMapper;

    /**
     * 查询师傅签到记录
     * 
     * @param id 师傅签到记录主键
     * @return 师傅签到记录
     */
    @Override
    public WorkerSign selectWorkerSignById(Long id)
    {
        return workerSignMapper.selectWorkerSignById(id);
    }

    /**
     * 查询师傅签到记录列表
     * 
     * @param workerSign 师傅签到记录
     * @return 师傅签到记录
     */
    @Override
    public List<WorkerSign> selectWorkerSignList(WorkerSign workerSign)
    {
        return workerSignMapper.selectWorkerSignList(workerSign);
    }

    /**
     * 新增师傅签到记录
     * 
     * @param workerSign 师傅签到记录
     * @return 结果
     */
    @Override
    public int insertWorkerSign(WorkerSign workerSign)
    {
        return workerSignMapper.insertWorkerSign(workerSign);
    }

    /**
     * 修改师傅签到记录
     * 
     * @param workerSign 师傅签到记录
     * @return 结果
     */
    @Override
    public int updateWorkerSign(WorkerSign workerSign)
    {
        return workerSignMapper.updateWorkerSign(workerSign);
    }

    /**
     * 批量删除师傅签到记录
     * 
     * @param ids 需要删除的师傅签到记录主键
     * @return 结果
     */
    @Override
    public int deleteWorkerSignByIds(Long[] ids)
    {
        return workerSignMapper.deleteWorkerSignByIds(ids);
    }

    /**
     * 删除师傅签到记录信息
     * 
     * @param id 师傅签到记录主键
     * @return 结果
     */
    @Override
    public int deleteWorkerSignById(Long id)
    {
        return workerSignMapper.deleteWorkerSignById(id);
    }
}
